Overview | Package | Class | Tree | Deprecated | Index | Help
| Protégé-OWL 3.4 rc1
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## edu.stanford.smi.protegex.owl.model.impl
Class DefaultRDFList

    java.lang.Object
      edu.stanford.smi.protege.model.DefaultFrame
          edu.stanford.smi.protege.model.DefaultInstance
              edu.stanford.smi.protege.model.DefaultSimpleInstance
                  edu.stanford.smi.protegex.owl.model.impl.DefaultRDFIndividual
                      edu.stanford.smi.protegex.owl.model.impl.DefaultRDFList

All Implemented Interfaces:
  edu.stanford.smi.protege.model.Frame, edu.stanford.smi.protege.model.Instance, edu.stanford.smi.protege.model.Localizable, edu.stanford.smi.protege.model.SimpleInstance, ProtegeInstance, RDFIndividual, RDFList, RDFObject, RDFResource, Visitable, Serializable, Comparable<edu.stanford.smi.protege.model.Frame>

Direct Known Subclasses:
  DefaultSWRLAtomList

    public class DefaultRDFList

extends DefaultRDFIndividual
implements RDFList

Author:
  Holger Knublauch
See Also:
  Serialized Form

Constructor Summary
`DefaultRDFList()`
`DefaultRDFList(edu.stanford.smi.protege.model.KnowledgeBase kb, edu.stanford.smi.protege.model.FrameID id)`

Method Summary
`void` | `accept(OWLModelVisitor visitor)` This method is provided to be used with the `OWLModelVisitor`, which is part of the visitor design pattern.
`void` | `append(Object value)` Appends a value to this list.
`boolean` | `contains(Object value)` Checks whether a given value is among the entries in this list.
`boolean` | `equalsStructurally(RDFObject object)` Determines whether or not the specified class is structurally equal to this class.
`String` | `getBrowserText()` Gets a human-readable visual representation of this resource.
`Object` | `getFirst()`
`RDFSLiteral` | `getFirstLiteral()` Gets the rdf:first value of this as an RDFSLiteral.
`RDFList` | `getRest()`
`RDFList` | `getStart()` Gets the start of the RDFList chain containing this.
`List` | `getValueLiterals()` Gets the values in this list as RDFSLiterals.
`List` | `getValues()` Gets the values in this list.
`boolean` | `isClosed()` Checks whether this is eventually terminated with an rdf:rest rdf:nil triple.
`static void` | `removeListValue(RDFResource resource, RDFProperty property, Object value)`
`static void` | `removeListValue(RDFResource resource, RDFProperty property, RDFList li, int index)`
`void` | `setFirst(Object value)`
`void` | `setRest(RDFList rest)`
`int` | `size()`

Methods inherited from class edu.stanford.smi.protegex.owl.model.impl.DefaultRDFIndividual
`addComment, addDifferentFrom, addIsDefinedBy, addLabel, addPropertyValue, addPropertyValueListener, addProtegeType, addRDFType, addResourceListener, addSameAs, addVersionInfo, as, canAs, getAllValuesFromOnTypes, getComments, getDifferentFrom, getDocumentation, getHasValuesOnTypes, getIcon, getIconLocation, getIconName, getInferredTypes, getIsDefinedBy, getLabels, getLocalName, getNamespace, getNamespacePrefix, getOWLModel, getPossibleRDFProperties, getPrefixedName, getPropertyValue, getPropertyValue, getPropertyValueAs, getPropertyValueCount, getPropertyValueLiteral, getPropertyValueLiterals, getPropertyValues, getPropertyValues, getPropertyValuesAs, getProtegeType, getProtegeTypes, getRDFProperties, getRDFType, getRDFTypes, getReferringAnonymousClasses, getSameAs, getURI, getVersionInfo, hasPropertyValue, hasPropertyValue, hasPropertyValue, hasPropertyValue, hasProtegeType, hasProtegeType, hasRDFType, hasRDFType, isAnonymous, isValidPropertyValue, listPropertyValues, listPropertyValues, listPropertyValuesAs, listRDFTypes, removeComment, removeDifferentFrom, removeIsDefinedBy, removeLabel, removePropertyValue, removePropertyValueListener, removeProtegeType, removeRDFType, removeResourceListener, removeSameAs, removeVersionInfo, setComment, setComments, setDocumentation, setInferredTypes, setPropertyValue, setPropertyValues, setProtegeType, setProtegeTypes, setRDFType, setRDFTypes, toString`

Methods inherited from class edu.stanford.smi.protege.model.DefaultSimpleInstance
`rename`

Methods inherited from class edu.stanford.smi.protege.model.DefaultInstance
`addDirectType, addInstanceListener, copy, deepCopy, getDirectType, getDirectTypes, getOwnFacetValue, getOwnFacetValues, getReachableSimpleInstances, hasDirectType, hasType, moveDirectType, removeDirectType, removeInstanceListener, setDirectType, setDirectTypes, shallowCopy`

Methods inherited from class edu.stanford.smi.protege.model.DefaultFrame
`addFrameListener, addOwnFacetValue, addOwnSlotValue, areValidOwnSlotValues, assertFrameName, compareTo, delete, equals, equals, getDefaultKnowledgeBase, getDefiningProjectURI, getDirectOwnSlotValue, getDirectOwnSlotValues, getFrameID, getInvalidOwnSlotValuesText, getInvalidOwnSlotValueText, getKnowledgeBase, getName, getOwnSlotAllowsMultipleValues, getOwnSlotAndSubslotValues, getOwnSlotDefaultValues, getOwnSlotFacets, getOwnSlotFacetValues, getOwnSlots, getOwnSlotValue, getOwnSlotValueCount, getOwnSlotValues, getOwnSlotValueType, getProject, getReferences, getReferences, hashCode, hasOwnSlot, isBeingDeleted, isDeleted, isEditable, isIncluded, isSystem, isValid, isValidOwnSlotValue, isVisible, localize, markDeleted, markDeleting, moveDirectOwnSlotValue, removeFrameListener, removeOwnSlotValue, setDirectOwnSlotValue, setDirectOwnSlotValues, setDocumentation, setEditable, setIncluded, setOwnFacetValue, setOwnFacetValues, setOwnSlotValue, setOwnSlotValues, setSystem, setVisible`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

Methods inherited from interface edu.stanford.smi.protegex.owl.model.RDFResource
`addComment, addDifferentFrom, addIsDefinedBy, addLabel, addPropertyValue, addPropertyValueListener, addProtegeType, addRDFType, addResourceListener, addSameAs, addVersionInfo, as, canAs, delete, getAllValuesFromOnTypes, getComments, getDifferentFrom, getHasValuesOnTypes, getIconLocation, getIconName, getInferredTypes, getIsDefinedBy, getLabels, getLocalName, getName, getNamespace, getNamespacePrefix, getOWLModel, getPossibleRDFProperties, getPrefixedName, getPropertyValue, getPropertyValue, getPropertyValueAs, getPropertyValueCount, getPropertyValueLiteral, getPropertyValueLiterals, getPropertyValues, getPropertyValues, getPropertyValuesAs, getProtegeType, getProtegeTypes, getRDFProperties, getRDFType, getRDFTypes, getReferringAnonymousClasses, getSameAs, getURI, getVersionInfo, hasPropertyValue, hasPropertyValue, hasPropertyValue, hasPropertyValue, hasProtegeType, hasProtegeType, hasRDFType, hasRDFType, isAnonymous, isValidPropertyValue, isVisible, listPropertyValues, listPropertyValues, listPropertyValuesAs, listRDFTypes, removeComment, removeDifferentFrom, removeIsDefinedBy, removeLabel, removePropertyValue, removePropertyValueListener, removeProtegeType, removeRDFType, removeResourceListener, removeSameAs, removeVersionInfo, setComment, setComments, setInferredTypes, setPropertyValue, setPropertyValues, setProtegeType, setProtegeTypes, setRDFType, setRDFTypes, setVisible`

Methods inherited from interface edu.stanford.smi.protegex.owl.model.ProtegeInstance
`addDirectType, addFrameListener, addInstanceListener, addOwnFacetValue, addOwnSlotValue, areValidOwnSlotValues, copy, deepCopy, getDirectOwnSlotValue, getDirectOwnSlotValues, getDirectType, getDirectTypes, getDocumentation, getIcon, getInvalidOwnSlotValuesText, getInvalidOwnSlotValueText, getKnowledgeBase, getOwnFacetValue, getOwnFacetValues, getOwnSlotAllowsMultipleValues, getOwnSlotAndSubslotValues, getOwnSlotDefaultValues, getOwnSlotFacets, getOwnSlotFacetValues, getOwnSlots, getOwnSlotValue, getOwnSlotValueCount, getOwnSlotValues, getOwnSlotValueType, getProject, getReachableSimpleInstances, getReferences, getReferences, hasDirectType, hasOwnSlot, hasType, isBeingDeleted, isDeleted, isEditable, isIncluded, isSystem, isValidOwnSlotValue, markDeleted, markDeleting, removeDirectType, removeFrameListener, removeInstanceListener, removeOwnSlotValue, setDirectOwnSlotValue, setDirectOwnSlotValues, setDirectType, setDirectTypes, setDocumentation, setDocumentation, setEditable, setIncluded, setOwnFacetValue, setOwnFacetValues, setOwnSlotValue, setOwnSlotValues, shallowCopy`

Methods inherited from interface edu.stanford.smi.protege.model.Instance
`moveDirectType`

Methods inherited from interface edu.stanford.smi.protege.model.Frame
`assertFrameName, getFrameID, isValid, moveDirectOwnSlotValue, rename`

Methods inherited from interface java.lang.Comparable
`compareTo`

Constructor Detail

### DefaultRDFList

    public DefaultRDFList(edu.stanford.smi.protege.model.KnowledgeBase kb,
                          edu.stanford.smi.protege.model.FrameID id)

### DefaultRDFList

    public DefaultRDFList()

Method Detail

### accept

    public void accept(OWLModelVisitor visitor)

  Description copied from interface: `Visitable`
  This method is provided to be used with the `OWLModelVisitor`, which is part of the visitor design pattern. By implementing this method, instances of the implementing class are stating that they can accept an `OWLModelVisitor`

  Specified by:
    `accept` in interface `Visitable`
  Overrides:
    `accept` in class `DefaultRDFIndividual`
  Parameters:
    `visitor` - The visitor that will operate on this object.

### append

    public void append(Object value)

  Description copied from interface: `RDFList`
  Appends a value to this list. This method will first find the last RDFList following the rdf:rest links. If this does not have a rdf:first yet, then this will be assigned to it. Otherwise, it will create a new RDFList of the same type like this as rdf:rest to the end of this list, and assigns the given instance as its rdf:first value.

  Specified by:
    `append` in interface `RDFList`
  Parameters:
    `value` - the value to append a list node for

### contains

    public boolean contains(Object value)

  Description copied from interface: `RDFList`
  Checks whether a given value is among the entries in this list.

  Specified by:
    `contains` in interface `RDFList`
  Parameters:
    `value` - the value to look for
  Returns:
    true if the values contain value

### equalsStructurally

    public boolean equalsStructurally(RDFObject object)

  Description copied from interface: `RDFObject`
  Determines whether or not the specified class is structurally equal to this class. Note that this does not test for structural equivalence using structural subsumption tests.

  Specified by:
    `equalsStructurally` in interface `RDFObject`
  Overrides:
    `equalsStructurally` in class `DefaultRDFIndividual`
  Parameters:
    `object` - The class to test against.
  Returns:
    `true` if the class is structurally equal to this, `false` if the class is not structurally equal to this.

### getBrowserText

    public String getBrowserText()

  Description copied from interface: `RDFResource`
  Gets a human-readable visual representation of this resource. This is typically just the name of the resource, but for example, with anonymous class expressions this will return the full expression including special symbols.

  Specified by:
    `getBrowserText` in interface `edu.stanford.smi.protege.model.Frame`
  Specified by:
    `getBrowserText` in interface `ProtegeInstance`
  Specified by:
    `getBrowserText` in interface `RDFObject`
  Specified by:
    `getBrowserText` in interface `RDFResource`
  Overrides:
    `getBrowserText` in class `edu.stanford.smi.protege.model.DefaultInstance`
  Returns:
    the browser text

### getFirst

    public Object getFirst()

  Specified by:
    `getFirst` in interface `RDFList`

### getFirstLiteral

    public RDFSLiteral getFirstLiteral()

  Description copied from interface: `RDFList`
  Gets the rdf:first value of this as an RDFSLiteral. The calling method must make sure that we have indeed a primitive value.

  Specified by:
    `getFirstLiteral` in interface `RDFList`
  Returns:
    an RDFSLiteral

### getValueLiterals

    public List getValueLiterals()

  Description copied from interface: `RDFList`
  Gets the values in this list as RDFSLiterals. The caller must make sure that only primitive values are currently in the list.

  Specified by:
    `getValueLiterals` in interface `RDFList`
  Returns:
    a List of RDFSLiteral values.

### getRest

    public RDFList getRest()

  Specified by:
    `getRest` in interface `RDFList`

### getStart

    public RDFList getStart()

  Description copied from interface: `RDFList`
  Gets the start of the RDFList chain containing this. This method basically follows the backward references where this is rdf:rest, and does so recursively until it reaches a node which is never used as rdf:rest anywhere in the OWLModel.

  Specified by:
    `getStart` in interface `RDFList`
  Returns:
    the start RDFList node (may be this)

### getValues

    public List getValues()

  Description copied from interface: `RDFList`
  Gets the values in this list.

  Specified by:
    `getValues` in interface `RDFList`
  Returns:
    a List of Object instances

### isClosed

    public boolean isClosed()

  Description copied from interface: `RDFList`
  Checks whether this is eventually terminated with an rdf:rest rdf:nil triple.

  Specified by:
    `isClosed` in interface `RDFList`
  Returns:
    true if the last entry in this list points to rdf:nil.

### removeListValue

    public static void removeListValue(RDFResource resource,
                                       RDFProperty property,
                                       Object value)

### removeListValue

    public static void removeListValue(RDFResource resource,
                                       RDFProperty property,
                                       RDFList li,
                                       int index)

### setFirst

    public void setFirst(Object value)

  Specified by:
    `setFirst` in interface `RDFList`

### setRest

    public void setRest(RDFList rest)

  Specified by:
    `setRest` in interface `RDFList`

### size

    public int size()

  Specified by:
    `size` in interface `RDFList`

Overview | Package | Class | Tree | Deprecated | Index | Help
| Protégé-OWL 3.4 rc1
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Submit a bug report or feature request
Copyright (c) 1998-2009 Stanford University.